package com.gyee.frame.util.golden.timeseries;

import java.util.Base64;

/**
 * @author songwb<songwb@aliyun.com>
 */
public class BlobTsData extends BasicTsData {

    private final byte[] blob;

    public BlobTsData(long ts, short status, byte[] blob) {
        super(ts, status);
        this.blob = blob;
    }

    //public byte[] getBlob() { return  blob ;}

    public String getBlobValue() {
        return Base64.getEncoder().encodeToString(blob);
    }

}

